/*
 Twine - - Twine Shield library for Arduino - Version 0.1
 
 Original release     (0.1) by David Clift-Reaves.
 
 More info can be found at
 http://supermechanical.com
 */

#include "Arduino.h"
#include "Twine.h"
#include "TwineCap.h"

#define TWINE_PIN 9

#define TOTAL_MS_TO_TRIGGER 2000
#define CYCLES_TO_BE_LOW TOTAL_MS_TO_TRIGGER/3

Twine::Twine()
{
    // Put our twine output pin's state in order
    // Should start as OUTPUT - LOW
    pinMode(TWINE_PIN, OUTPUT);
    digitalWrite(TWINE_PIN, LOW);
}

void Twine::trigger()
{
    digitalWrite(TWINE_PIN, HIGH);
    delay(TOTAL_MS_TO_TRIGGER-CYCLES_TO_BE_LOW);
    digitalWrite(TWINE_PIN, LOW);
    delay(CYCLES_TO_BE_LOW);
}

void Twine::calibrateCloudSensors()
{
    init_cap();
}

bool Twine::upperCloudSensorTouched()
{
    return top_surface_touched();
}

bool Twine::lowerCloudSensorTouched()
{
    return bot_surface_touched();
}


